## org.jfree.chart
Class LegendRenderingOrder

    java.lang.Object
      org.jfree.chart.LegendRenderingOrder

All Implemented Interfaces:
  java.io.Serializable

    public final class LegendRenderingOrder

extends java.lang.Object
implements java.io.Serializable

Represents the order for rendering legend items.

See Also:
  Serialized Form

Field Summary
`static LegendRenderingOrder` `REVERSE` In reverse order.
`static LegendRenderingOrder` `STANDARD` In order.

Method Summary
`boolean` `equals(java.lang.Object obj)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
`java.lang.String` `toString()` Returns a string representing the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STANDARD

    public static final LegendRenderingOrder STANDARD

  In order.

### REVERSE

    public static final LegendRenderingOrder REVERSE

  In reverse order.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representing the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The string.

### equals

    public boolean equals(java.lang.Object obj)

  Returns `true` if this object is equal to the specified object, and `false` otherwise.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the other object.
  Returns:
    A boolean.